This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 964691 - unable to make WiFi connection to Huawei E587 (T-Mobile Sonic 4G) mobile hotspot
unable to make WiFi connection to Huawei E587 (T-Mobile Sonic 4G) mobile hotspot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 10:47 EDT by Daniel Kian Mc Kiernan
Modified: 2013-07-12 18:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-12 16:59:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Kian Mc Kiernan 2013-05-19 10:47:19 EDT
Description of problem:
With the replacement of kernel-3.8.11-200.fc18.x86_64 by kernel-3.9.2-200.fc18.x86_64, 64-bit Fedora 18 running on a Dell Mini 1012 (Atom N450 CPU, Dell Wireless 1397 802.11g Half mini-card) is unable to make a proper connection to a Huawei E587 (T-Mobile Sonic 4G) mobile hotspot.


Version-Release number of selected component (if applicable):
3.9.2-200.fc18.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Boot-up mobile hotspot
2. Attempt connection


Actual results:
Multiple failed attempts to make connection.


Expected results:
Stable connection in a matter of a few seconds.


Work-around:
Leave installed or reinstall kernel-3.8.11-200.fc18.x86_64, and boot to that.
Comment 1 Daniel Kian Mc Kiernan 2013-05-20 03:43:08 EDT
I do not find this problem when using the Dell Mini 1012 to connect to other WiFi networks; I do not find this problem when using a Dell Inspiron 9300 to make an IEEE 802.11g connect to the Huawei E587.
Comment 2 Daniel Kian Mc Kiernan 2013-05-22 03:24:16 EDT
I should have explicitly noted that the Inspiron 9300 is a 32-bit machine, running a 32-bit version of the kernel accordingly.
Comment 3 A 2013-05-23 14:44:02 EDT
Hi Everyone,

I experienced the same problems with a Dell Latitude 5410 (lspci says: Intel Corporation Centrino Advanced-N 6200 (rev 35)) when trying to connect to an unspectacular Sitecom wireless router: no connection is made.

The following kernels are affected:
    kernel-PAE-3.8.12-100.fc17.i686
    kernel-PAE-3.8.13-100.fc17.i686 (from fedora-testing)

Kernel 3.8.11-100.fc17.i686 works fine, though.

Also, my Acer Aspire One D270 (lspci says: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller (rev 01)) works perfectly with 3.8.12-100.fc17.i686.

Thanks a lot.
G.
Comment 4 A 2013-05-25 18:28:22 EDT
Good news, everyone.  The latest kernel (3.9.3-100.fc17.i686.PAE from fedora-testing) solved the problem on my computer.
Comment 5 Daniel Kian Mc Kiernan 2013-05-26 14:08:47 EDT
The problem as originally reported continues with kernel-3.9.4-200.fc18.x86_64.
Comment 6 Daniel Kian Mc Kiernan 2013-06-10 01:38:16 EDT
Okay, well, where does one find the specific source code relevant to this problem?
Comment 7 Daniel Kian Mc Kiernan 2013-06-14 04:06:04 EDT
The problem as originally reported continues with kernel-3.9.5-201.fc18.x86_64.

I reïterate my request for the specific location of the relevant source code.
Comment 8 Mark Hamilton 2013-06-21 05:00:25 EDT
I also have the same problem running kernel-3.9.6-200.fc18.x86_64.

I presume it is related to https://bugzilla.kernel.org/show_bug.cgi?id=58881

as I get the same "wlan0: HT AP is missing WMM params or HT capability/operation in AssocResp" output from dmesg
Comment 9 Daniel Kian Mc Kiernan 2013-06-21 08:03:54 EDT
The problem as originally reported continues for me with kernel-3.9.6-200.fc18.x86_64 (in keeping with Mr Hamilton's experience).
Comment 10 Josh Boyer 2013-07-12 10:32:33 EDT
The fix highlighted in the kernel.org bug was included in 3.9.9.  Do you still have issues with the 3.9.9-201.fc18 kernel in stable updates?
Comment 11 Mark Hamilton 2013-07-12 15:04:31 EDT
Updating to kernel 3.9.9-201.fc18 has fixed the issue on my system. Thanks.
Comment 12 Josh Boyer 2013-07-12 16:59:06 EDT
Great, thanks.
Comment 13 Daniel Kian Mc Kiernan 2013-07-12 18:01:27 EDT
Bug appears to be fixed on my device. ('Twould have been nice to give original reporter 24 hours to check before closing.)

Note You need to log in before you can comment on or make changes to this bug.